function InspectSpikesOnEyes(eye,spike)
%INSPECTSPIKEONEYES	Plots sorted spikes over eye signals
%	INSPECTSPIKESONEYES(EYE,SPIKE) 
%	and plots a spike train for each cluster above the eye data. The eye
%	data is assumed to be in the current directory.  
%  EYE is the structure generated by nptGenerateSessionEyeMovements
%  SPIKE is the structure generated from GenerateSessionSpikeTrain
%


numTrials = size(spike.trial,2);
numClusters = size(spike.trial(1).cluster,2);

dirlist=nptDir('*_eye.0*');

% open up the first trial to get sampling rate
filename=dirlist(1).name;
[data,num_channels,samplingRate,datatype,points]=nptReadDataFile(filename);

% convert duration to milliseconds
duration = ceil(spike.duration) * 1000;
% get time steps in milliseconds
timestep = 1/samplingRate*1000;
% get time vector
timev = 0:timestep:duration;

% get color order list. gcf will use current figure if there is one 
% or create one if there are no figures currently
hfig = gcf;
clist = get(gca,'ColorOrder');
zoom on

trial = 1;
while trial<=numTrials
	%open eye file
   filename=dirlist(trial).name;
   fprintf('Reading %s\n',filename);
	[data,num_channels,samplingRate,datatype,datalength]=nptReadDataFile(filename);
	hold off
   %change from pixels to degrees
   [data(1,:) , data(2,:)] = pixel2degree(data(1,:), data(2,:));
   %plot data
   plot(data(1,:),'k')
   hold on
   plot(data(2,:),'b')
   %superimpose fixations
   fixationtf = zeros(1,length(data));
   for event=1:size(eye(trial).fixation,2)
      fixationtf(1,eye(trial).fixation(event).start:eye(trial).fixation(event).finish)=1;
   end
   fixation = data .* [fixationtf ; fixationtf];
	i=find(fixationtf==0);
	fixation(:,i)=100;
   plot(fixation(1,:),'g.')
   plot(fixation(2,:),'g.')
   
   %superimpose saccades
   saccadetf = zeros(1,length(data));
   for event=1:size(eye(trial).saccade,2)
      saccadetf(1,eye(trial).saccade(event).start:eye(trial).saccade(event).finish)=1;
	end
   saccade = data .* [saccadetf ; saccadetf];
	i=find(saccadetf==0);
   saccade(:,i)=100;
   plot(saccade(1,:),'r.')
   plot(saccade(2,:),'r.')
   
	%superimpose drifts
   drifttf = zeros(1,length(data));
   for event=1:size(eye(trial).drift,2)
      drifttf(1,eye(trial).drift(event).start:eye(trial).drift(event).finish)=1;
   end
   drift = data .* [drifttf ; drifttf];
	i=find(drifttf==0);
	drift(:,i)=100;
   plot(drift(1,:),'b.')
   plot(drift(2,:),'b.')
   

	%Plot Nueron Signals
   ax = axis;
   ax = [ax(1) ax(2) -20 20];
   cplotheight = (ax(4) - ax(3)) * 0.1;
   
	for cluster=1:numClusters
		% draw a line
		lineY = ax(4)+(cluster-1)*cplotheight;
		line(ax(1:2),[lineY lineY],'Color',clist(cluster+1,:));
		lineY2 = lineY + cplotheight;
		% draw the spikes
		for spikenum=1:spike.trial(trial).cluster(cluster).spikecount
			spiketime = spike.trial(trial).cluster(cluster).spikes(spikenum);
			line([spiketime spiketime],[lineY lineY2],'Color',clist(cluster+1,:));
		end
   end
   axis([ax(1) ax(2) -25 50])
   
   
   
	% get keyboard input to see what to do next
	key = input('RETURN - Next Trial; p - Previous trial; N - Trial N; q - Quit: ','s');
	n = str2num(key);
	if strcmp(key,'p')
		trial = trial - 1;
		if trial<1
			trial = 1;
		end
   elseif strcmp(key,'q')
      return;
	elseif ~isempty(n)
		if n>0 & n<=numTrials
			trial = n;
		end	
	else
		trial = trial + 1;
	end
end
